/* Standard slides */

.slide {
    padding-block: 8rem;

    display: grid;
    gap: 6.5rem;

    /* Якщо в слайді є виділені елементи тексту, то зменшую контраст основного тексту картки  */
    &:has(:is(u, b, strong)) .text {
        color: var(--font-col-300);
    }
}

.slide.-accent {
    background-color: var(--main-col2);
}

.slide > h2 {
    max-width: 90%;
    margin-inline: auto;
}
@media (max-width: 1100px) {
    .slide > h2 br {
        display: none;
    }
}

.slide .-main-box,
.slide.-main-box {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(40rem, 100%), 1fr));
    align-items: center;
    gap: 5rem;
}

.slide picture {
    width: 100%;
    max-height: 70dvh;

    display: flex;
    align-items: center;
    justify-content: center;

    border-radius: 1.6rem;

    position: relative;
    isolation: isolate;
    overflow: hidden;
}
.slide picture img {
    width: 100%;
    height: 100%;
    
    object-fit: contain;
    object-position: center;

    border: 1px solid var(--border-col);
    border-radius: 1.6rem;
}
/* Якщо картинка є другим елементом в слайді, то вирівнюю її по правому краю */
.slide picture:nth-child(2) img {
    margin-left: auto;
}

.slide picture.yellow-blue {
    position: relative;
    isolation: isolate;
}
.slide picture.yellow-blue::before,
.slide picture.yellow-blue::after {
    content: "";

    position: absolute;
    aspect-ratio: 1;

    border-radius: 1.6rem;
    z-index: -1;
}

.slide picture.yellow-blue::before {
    width: 12.8rem;
    bottom: 0; left: 0;
    transform: translate(-20%, 20%);
    background-color: hsla(from var(--blue5B) h s l / 0.2);
}
.slide picture.yellow-blue::after {
    width: 9.6rem;
    top: 0; right: 0;
    transform: translate(15%, -15%);
    background-color: hsla(from var(--yellow) h s l / 0.2);
}

.slide picture:nth-child(1).yellow-blue:not(.-right)::before {
    top: 0; bottom: unset;
    transform: translate(-20%, -20%);
}
.slide picture:nth-child(1).yellow-blue:not(.-right)::after {
    top: unset; bottom: 0;
    transform: translate(15%, 15%);
}

.slide picture.yellow-blue img {
    border: 4px solid var(--border-col);
    border-radius: 2.4rem;
}

.slide .text-block {
    display: grid;
    justify-items: start;
    gap: 3.2rem;
}

.slide .text-block h2 {
    text-align: left;
}

.slide .text {
    font-size: 1.8rem;
    font-weight: 500;
    line-height: 1.65;
    text-align: justify;
    color: var(--font-col-400);
}
.slide .text.-hl {
    color: var(--font-col-500);
}

.slide i {
    font-size: 1.6rem;
    line-height: 1.625;
    color: var(--font-col-300);
}

.slide .-card {
    align-items: normal;
    gap: unset;
    border: 1px solid var(--border-col);
    border-radius: 1.6rem;

    overflow: hidden;
}
.slide .-card .text-block {
    padding: 4.8rem;
}
.slide .-card picture {
    overflow: hidden;
}
.slide .-card picture img {
    border: unset;
    border-radius: unset;
}


@media (max-width: 950px) {
    .slide .text-block h2 {
        margin-inline: auto;
        text-align: center;
    }
    .slide .color-btn {
        margin-inline: auto;
    }
}


/* List of checks */

.checks {
    --mark: 16px;

    display: grid;
    grid-template-columns: var(--mark) auto;
    gap: calc(var(--mark) * 0.5);
    
    &:has(> small) {
        align-items: center;
    }
}
.checks svg {
    --size: var(--mark);
    color: var(--yellow);
}
.checks h3,
.checks h4 {
    font-size: 2.4rem;
    font-weight: 700;
    line-height: 1.35;
    text-transform: uppercase;
    color: var(--font-col-600);
    margin-bottom: 4px;
}
.checks h4 {
    font-size: 1.4rem;
    text-wrap: pretty;
}

.checks small {
    font-size: 1.4rem;
    line-height: 1.625;
    color: var(--font-col-400);
}
.checks h4 + small {
    font-size: 1.2rem;
    font-weight: 500;
    color: var(--font-col-300);
}

.checks dt,
.checks dd {
    font-size: 1.6rem;
    line-height: 1.5;
    color: var(--font-col-300);
    text-wrap: pretty;
}
.checks dt {
    font-weight: 600;
    color: var(--font-col-600);
    margin-bottom: 4px;
}


/* Standart checks modification for slides */
.slide .checks {
    --mark: 22px;
}